Ipelib: ipe::PdfWriter Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::PdfWriter Class Reference

Create PDF file. More...

`#include <ipepdfwriter.h>`

List of all members.

## Public Member Functions

- PdfWriter (TellStream &stream, const Document *doc, const FontPool *pool, bool markedView, int fromPage, int toPage, int compression)
- ~PdfWriter ()
- void createPages ()
- void createPageView (int page, int view)
- void createBookmarks ()
- void createXmlStream (String xmldata, bool preCompressed)
- void createTrailer ()

## Detailed Description

Create PDF file.

This class is responsible for the creation of a PDF file from the Ipe data. You have to create a PdfWriter first, providing a file that has been opened for (binary) writing and is empty. Then call createPages() to embed the pages. Optionally, call `createXmlStream` to embed a stream with the XML representation of the document. Finally, call `createTrailer` to complete the PDF document, and close the file.

Some reserved PDF object numbers:

- 0: Must be left empty (a PDF restriction).
- 1: XML stream.
- 2: Parent of all pages objects.

## Constructor & Destructor Documentation

PdfWriter::PdfWriter | ( | TellStream & | stream,
|  | const Document * | doc,
|  | const FontPool * | pool,
|  | bool | markedView,
|  | int | fromPage,
|  | int | toPage,
|  | int | compression
| ) |  |

Create a PDF writer operating on this (open and empty) file.

PdfWriter::~PdfWriter | ( |  | ) |

Destructor.

## Member Function Documentation

void PdfWriter::createPages | ( |  | ) |

Create all PDF pages.

void PdfWriter::createPageView | ( | int | page,
|  | int | view
| ) |  |

create contents and page stream for this page view.

void PdfWriter::createBookmarks | ( |  | ) |

Create the bookmarks (PDF outline).

void PdfWriter::createXmlStream | ( | String | xmldata,
|  | bool | preCompressed
| ) |  |

Create a stream containing the XML data.

void PdfWriter::createTrailer | ( |  | ) |

Create the root objects and trailer of the PDF file.

The documentation for this class was generated from the following files:

- ipepdfwriter.h
- ipepdfwriter.cpp